Subject: Re: bug#37818: [PATCH] Various FAQ updates

From: Stefan Kangas <[email-masked]>
Date: Sun, 20 Oct 2019 15:53:31 +0200

Eli Zaretskii <[email-masked]> writes:

> > +Emacs has an inherent fixed limitation on the size of buffers.
>
> I'd suggest to say that the limitation is more strict that the maximum
> size of objects supported by programs with the same architecture,
> because otherwise this sentence might be misunderstood.

Done.

>
> >                                                                  The
> > +maximum buffer size on 32-bit machines is 512 MBytes beginning with
> > +version 23.2.  If Emacs was built using the @code{--with-wide-int}
> > +flag, the maximum buffer size on 32-bit machines is ***FIXME***
> > +MBytes.
>
> The number here is 2GB.

Fixed.

> > +This limitation imposes a size limit on visiting files, which is
> > +roughly half the buffer limit due to things like decoding of multibyte
> > +characters.  When visiting compressed archives, the file size
> > +limitation will be smaller than that due to decompression.
> > +
> > +Unless you want to visit unusually large files, this should only be an
> > +issue on 32-bit machines.  Emacs compiled on a 64-bit machine can
> > +handle much larger buffers.
>
> The limit value for 64-bit builds is that of most-positive-fixnum.

Fixed.  Please find attached an updated patch.

Best regards,
Stefan Kangas